<?php
/*
===========================注册模块控制器
*/
class cls_tab_sys_admin extends cls_base_table
{
	private $obj_db,$perms;
	//构造函数
	function __construct()
	{
		parent::__construct();
		global $obj_db,$obj_tab_sys_config;
		$this->obj_db=$obj_db;
		$this->perms=array("attribute"=>"");
		$arr_cfg_sys=$obj_tab_sys_config->get_model("sys");
		if(isset($arr_cfg_sys["admin_attribute"])) $this->perms["attribute"]=$arr_cfg_sys["admin_attribute"];
	}
	//保存
	function on_save($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		(!isset($arr_fields["admin_id"]))? $arr_fields["admin_id"]=0:$arr_fields["admin_id"]=intval($arr_fields["admin_id"]);
		//保存操作
		$lng_id=$arr_fields["admin_id"];
		unset($arr_fields["admin_id"]);//释放id
		if(isset($arr_fields["admin_pwd"])){
			$arr_fields["admin_pwd"]=get_pwd($arr_fields["admin_pwd"]);
		}
		$arr_fields["admin_updatetime"]=TIME;
		if($lng_id<1){
			$arr_fields["admin_addtime"]=TIME;
			$arr_return=self::_insert($arr_fields);
		}else{
			$str_where="admin_id='".$lng_id."'";
			$arr_return=self::_update($arr_fields,$str_where);
			$arr_return["id"]=$lng_id;
		}
		return $arr_return;
	}
	//添加
	private function _insert($arr_fields)
	{
		$arr_return=array("err"=>"","id"=>0);
		if(!isset($arr_fields["admin_user_id"])||intval($arr_fields["admin_user_id"])<1){
			$arr_return["err"]="请输入用户ID";
			return $arr_return;
		}

		$arr_return=parent::on_insert(DB_PRE."sys_admin",$arr_fields);
		return $arr_return;
	}
	//修改
	private function _update($arr_fields,$msg_where)
	{
		$arr_return=array("err"=>"","id"=>0);
		$arr_return=parent::on_update(DB_PRE."sys_admin",$arr_fields,$msg_where);
		return $arr_return;
	}
	//删除
	function on_del($arr_id)
	{
		$arr_return=array("err"=>"");
		$str_id=get_arr_id($arr_id);
		if($str_id==""){
			$arr_return["err"]="没有指定要删除的记录！";
			return $arr_return;
		}
		$arr_return=parent::on_del(DB_PRE."sys_admin","admin_id in(".$str_id.")");
		return $arr_return;
	}
	function get_checkbox_html($msg_key,$msg_name,$msg_val=""){
		//模块配置变量
		$arr_list=$this->perms[$msg_key];
		$str_return=get_checkbox_html($arr_list,$msg_name,$msg_val);
		return $str_return;
	}

}
?>
